# Method: conversionsources.list

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/list#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/list#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/list#body.ListConversionSourcesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/list#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/list#try-it)

Retrieves the list of conversion sources the caller has access to.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/conversionsources`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the account that owns the new conversion source. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of conversion sources to return in a page. If no `pageSize` is specified, `100` is used as the default value. The maximum value is `200`. Values above `200` will be coerced to `200`. Regardless of pagination, at most `200` conversion sources are returned in total. |
| `pageToken` | `string` Page token. |
| `showDeleted` | `boolean` If true, also returns archived conversion sources. |

### Request body

The request body must be empty.

### Response body

Response message for the conversionsources.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "conversionSources": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources#ConversionSource`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `conversionSources[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources#ConversionSource`)`` List of conversion sources. |
| `nextPageToken` | `string` Token to be used to fetch the next results page. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).